## binkd 1.0.2

=== mkfls/nt95-msvc/Makefile ===
# Microsoft Visual C++ Makefile
# $Id: Makefile,v 2.49.2.1 2012/07/12 07:08:57 gul Exp $
#
# Usage: nmake [DEBUG=1] [STATIC=1] [BINKD9X=1] [PERL=1] [PERLDL=1]
#              [ZLIB=1] [BZLIB2=1] [ZLIBDL=1] [DEBUGCHILD=1] [BW_LIM=1]
#              [MSVC_VER=10] [IPV6=1] [FSP1035=1] [X64=1]
#
# Use MSVC_VER=10 to build with Visual Studio 2008 or 2010
#

#PERLV=510
#PERL_BASE=c:\Perl
#PERL_LIB=$(PERL_BASE)/lib/core/perl$(PERLV).lib

#ZLIB_BASE=..\zlib
#ZLIB_LIB=zlib.lib
#BZLIB2_BASE=..\bzlib2
#BZLIB2_LIB=libbz2.lib

# =============================================================================

CC=cl
LINK=link
BSC=bscmake
RSC=rc
!if "$(OS)" == "Windows_NT"
DELTREE=rmdir /S /Q
!else
DELTREE=deltree /Y
!endif

BINDIR=bin
OUTDIR=$(BINDIR)\msvc
BINKDTYPE=msvc

OBJDIR= $(OUTDIR)\obj
MAKEDIRSONLY= $(OBJDIR) $(OBJDIR)\nt $(OBJDIR)\ntlm
MAKEDIRS= $(BINDIR) $(OUTDIR) $(MAKEDIRSONLY)

!ifdef X64
MACHINETYPE=X64
CDEFS=   $(CDEFS) -DWIN64
!else
MACHINETYPE=I386
!endif

!if "$(MSVC_VER)" == "10"
CFLAGS=  $(CFLAGS) -nologo -M$(RTLTYPE) -W3 -EHsc -c -J \
         -Fp"$(OBJDIR)\$(BINKDNAME).pch" -Fd"$(OBJDIR)\$(BINKDNAME)"
CDEFS=   $(CDEFS) -DWIN32 -DHAVE_THREADS -DHAVE_IO_H -DHAVE_DOS_H \
         -DHAVE_STDARG_H -DVISUALCPP -DHTTPS -DAMIGADOS_4D_OUTBOUND -DNTLM \
         -DHAVE_VSNPRINTF -D_CRT_SECURE_NO_WARNINGS
!else
CFLAGS=  $(CFLAGS) -nologo -M$(RTLTYPE) -W3 -GX -c -YX -J \
         -Fp"$(OBJDIR)\$(BINKDNAME).pch" -Fd"$(OBJDIR)\$(BINKDNAME)"
CDEFS=   $(CDEFS) -DWIN32 -DHAVE_THREADS -DHAVE_IO_H -DHAVE_DOS_H \
         -DHAVE_STDARG_H -DVISUALCPP -DHTTPS -DAMIGADOS_4D_OUTBOUND -DNTLM
!endif

LFLAGS=  /nologo /machine:$(MACHINETYPE) /subsystem:$(SUBSYSTEM) \
         /pdb:"$(OUTDIR)\$(BINKDNAME).pdb" /out:"$(OUTDIR)\$(BINKDEXE)"
LIBS=    $(LIBS) kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib \
         advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib wsock32.lib

BSCFLAGS=/nologo

OBJS= \
 "$(OBJDIR)\binkd.obj"    "$(OBJDIR)\readcfg.obj"  "$(OBJDIR)\tools.obj"    \
 "$(OBJDIR)\ftnaddr.obj"  "$(OBJDIR)\ftnq.obj"     "$(OBJDIR)\client.obj"   \
 "$(OBJDIR)\server.obj"   "$(OBJDIR)\protocol.obj" "$(OBJDIR)\bsy.obj"      \
 "$(OBJDIR)\inbound.obj"  "$(OBJDIR)\branch.obj"   "$(OBJDIR)\ftndom.obj"   \
 "$(OBJDIR)\ftnnode.obj"  "$(OBJDIR)\srif.obj"     "$(OBJDIR)\pmatch.obj"   \
 "$(OBJDIR)\readflo.obj"  "$(OBJDIR)\prothlp.obj"  "$(OBJDIR)\iptools.obj"  \
 "$(OBJDIR)\run.obj"      "$(OBJDIR)\binlog.obj"   "$(OBJDIR)\exitproc.obj" \
 "$(OBJDIR)\getw.obj"     "$(OBJDIR)\xalloc.obj"   "$(OBJDIR)\setpttl.obj"  \
 "$(OBJDIR)\https.obj"    "$(OBJDIR)\md5b.obj"     "$(OBJDIR)\crypt.obj"    \
 "$(OBJDIR)\getopt.obj"   "$(OBJDIR)\snprintf.obj" "$(OBJDIR)\rfc2553.obj"  \
                                                                            \
 "$(OBJDIR)\ntlm\des_enc.obj" "$(OBJDIR)\ntlm\helpers.obj"                  \
 "$(OBJDIR)\ntlm\ecb_enc.obj" "$(OBJDIR)\ntlm\md4_dgst.obj"                 \
 "$(OBJDIR)\ntlm\set_key.obj"                                               \
                                                                            \
 "$(OBJDIR)\nt\breaksig.obj" "$(OBJDIR)\nt\dirwin32.obj"                    \
 "$(OBJDIR)\nt\getfree.obj"  "$(OBJDIR)\nt\sem.obj"                         \
 "$(OBJDIR)\nt\TCPErr.obj"   "$(OBJDIR)\nt\tray.obj"                        \
 "$(OBJDIR)\nt\w32tools.obj" "$(OBJDIR)\nt\WSock.obj"

RESOBJS= "$(OBJDIR)\nt\binkdres.res"

# binkd9x +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!ifdef BINKD9X
BINKDNAME=binkd9x
OUTDIR=$(OUTDIR)-binkd9x
BINKDTYPE=$(BINKDTYPE), binkd9x
CDEFS=$(CDEFS) -DBINKD9X -D_WINDOWS
SUBSYSTEM=windows
OBJS=$(OBJS) "$(OBJDIR)\nt\win9x.obj"
LIBS=$(LIBS) wsock32.lib
!else
!ifdef X64
BINKDNAME=binkd64
OUTDIR=$(OUTDIR)-x64
!else
BINKDNAME=binkd
!endif
!ifdef IPV6
OUTDIR=$(OUTDIR)-binkd-ipv6
CDEFS=$(CDEFS) -D_CONSOLE
SUBSYSTEM=console
OBJS=$(OBJS) "$(OBJDIR)\nt\service.obj"
LIBS=$(LIBS) ws2_32.lib
!else
OUTDIR=$(OUTDIR)-binkd
CDEFS=$(CDEFS) -D_CONSOLE
SUBSYSTEM=console
OBJS=$(OBJS) "$(OBJDIR)\nt\service.obj"
LIBS=$(LIBS) wsock32.lib
!endif
!ifdef FSP1035
CDEFS=$(CDEFS) -DWITH_FSP1035
LIBS=$(LIBS) dnsapi.lib
OBJS=$(OBJS) "$(OBJDIR)\srv_gai.obj"
!endif
!endif
# binkd9x ---------------------------------------------------------------------

# static ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!ifdef STATIC
BINKDNAME=$(BINKDNAME)-static
OUTDIR=$(OUTDIR)-static
BINKDTYPE=$(BINKDTYPE), static
CDEFS=$(CDEFS) -DRTLSTATIC
RTLTYPE=T
!else
RTLTYPE=D
!endif
# static ----------------------------------------------------------------------

# debug +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!ifdef DEBUG
BINKDNAME=$(BINKDNAME)-debug
OUTDIR=$(OUTDIR)-debug
BINKDTYPE=$(BINKDTYPE), debug
RTLTYPE=$(RTLTYPE)d
CFLAGS=$(CFLAGS) -Gm -ZI -Od
CDEFS=$(CDEFS) -D_DEBUG -DDEBUG
LFLAGS=$(LFLAGS) /incremental:yes /map:"$(OUTDIR)\$(BINKDNAME).map" /debug
SBRS=$(OBJS:.obj=.sbr)
BINKDBSC="$(OUTDIR)\$(BINKDNAME).bsc"
!else
CFLAGS=$(CFLAGS) -Ox
!endif
# debug -----------------------------------------------------------------------

# debugchild, nofork ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!ifdef DEBUGCHILD
BINKDNAME=$(BINKDNAME)-debugchild
OUTDIR=$(OUTDIR)-debugchild
BINKDTYPE=$(BINKDTYPE), debugchild
CDEFS=$(CDEFS) -DDEBUGCHILD
!endif
# debugchild, nofork ----------------------------------------------------------

# bandwidth limiting ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!ifdef BW_LIM
CDEFS=$(CDEFS) -DBW_LIM=1
!endif
# bandwidth limiting ----------------------------------------------------------

# perl support ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# PERLDL implies PERL
!if defined(PERLDL) && !defined(PERL)
PERL=1
!endif

!ifdef PERL

!ifndef PERLDL
BINKDNAME=$(BINKDNAME)-perl
OUTDIR=$(OUTDIR)-perl
BINKDTYPE=$(BINKDTYPE), perl
!else
BINKDNAME=$(BINKDNAME)-perldl
OUTDIR=$(OUTDIR)-perldl
BINKDTYPE=$(BINKDTYPE), perldl
CDEFS=$(CDEFS) -DPERLDL
!endif

!ifdef PERL_BASE
PERL_INCL=$(PERL_BASE)\lib\CORE
!endif

CDEFS=$(CDEFS) -DWITH_PERL -DNDEBUG -DNO_STRICT -DHAVE_DES_FCRYPT \
      -DPERL_IMPLICIT_CONTEXT -DPERL_IMPLICIT_SYS -DPERL_MSVCRT_READFIX
OBJS=$(OBJS) "$(OBJDIR)\perlhooks.obj"

!endif
# perl support ----------------------------------------------------------------

# zlib support ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!ifdef ZLIB
CDEFS=$(CDEFS) -DWITH_ZLIB

!ifdef ZLIB_BASE
C_DIRS=$(C_DIRS) -I "$(ZLIB_BASE)"
!ifndef ZLIBDL
L_DIRS=$(L_DIRS) /LIBPATH:"$(ZLIB_BASE)"
!endif
!endif

!ifndef ZLIBDL
BINKDNAME=$(BINKDNAME)-zlib
OUTDIR=$(OUTDIR)-zlib
BINKDTYPE=$(BINKDTYPE), zlib
!ifndef ZLIB_LIB
ZLIB_LIB=zlib.lib
!endif
LIBS=$(LIBS) $(ZLIB_LIB)
!else
BINKDNAME=$(BINKDNAME)-zlibdl
OUTDIR=$(OUTDIR)-zlibdl
BINKDTYPE=$(BINKDTYPE), zlibdl
!endif

!endif
# zlib support ----------------------------------------------------------------

# bzlib2 support ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!ifdef BZLIB2
CDEFS=$(CDEFS) -DWITH_BZLIB2

!ifdef BZLIB2_BASE
C_DIRS=$(C_DIRS) -I "$(BZLIB2_BASE)"
!ifndef ZLIBDL
L_DIRS=$(L_DIRS) /LIBPATH:"$(BZLIB2_BASE)"
!endif
!endif

!ifndef ZLIBDL
BINKDNAME=$(BINKDNAME)-bzlib2
OUTDIR=$(OUTDIR)-bzlib2
BINKDTYPE=$(BINKDTYPE), bzlib2
!ifndef BZLIB2_LIB
BZLIB2_LIB=libbz2.lib
!endif
LIBS=$(LIBS) $(BZLIB2_LIB)
!else
BINKDNAME=$(BINKDNAME)-bzlib2dl
OUTDIR=$(OUTDIR)-bzlib2dl
BINKDTYPE=$(BINKDTYPE), bzlib2dl
!endif

!endif
# bzlib2 support --------------------------------------------------------------

# zlib & bzlib2 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!if defined(ZLIB) || defined(BZLIB2)
OBJS=$(OBJS) "$(OBJDIR)\compress.obj"
!ifdef ZLIBDL
CDEFS=$(CDEFS) -DZLIBDL
OBJS=$(OBJS) "$(OBJDIR)\zlibdl.obj"
!endif
!endif
# zlib & bzlib2 ---------------------------------------------------------------

# PERL_BASE & PERL_LIB ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!ifdef PERL

!if !defined(PERL_INCL) || (!defined(PERL_DL) && !defined(PERL_LIB))

!if !exists("$(BINDIR)")
!if ![mkdir "$(BINDIR)"]
!message Making directory $(BINDIR)...
!endif
!endif
!if !exists("$(OUTDIR)")
!if ![mkdir "$(OUTDIR)"]
!message Making directory $(OUTDIR)...
!else
!error Can't create directory $(OUTDIR)!
!endif
!endif

!if ![perl mkfls\nt95-msvc\perlconf.pl $(OUTDIR)\perlconf.tmp]
!if exists("$(OUTDIR)\perlconf.tmp")
!include "$(OUTDIR)\perlconf.tmp"
!if ![del "$(OUTDIR)\perlconf.tmp"]
!endif
!else
!error Can't include $(OUTDIR)\perlconf.tmp!
!endif
!else
!error Can't execute perlconf.pl!
!endif
!endif

!ifdef PERL_INCL
C_DIRS=$(C_DIRS) -I "$(PERL_INCL)"
!endif
!ifndef PERLDL
!ifdef PERL_INCL
L_DIRS=$(L_DIRS) /LIBPATH:"$(PERL_INCL)"
!endif
!ifdef PERL_LIB
LIBS=$(LIBS) delayimp.lib $(PERL_LIB)
PERLDLL=/delayload:perl$(PERLV).dll
!endif
!endif

!endif
# PERL_BASE & PERL_LIB --------------------------------------------------------


BINKDEXE = $(BINKDNAME).exe

all: printinfo makedirs "$(OUTDIR)\$(BINKDEXE)" $(BINKDBSC)

printinfo:
	@echo on
	@type <<
-----------------------------------------------------------
binkd type : $(BINKDTYPE)
output dir : $(OUTDIR)
binkd exe  : $(BINKDEXE)
!ifdef PERL
perlincl   : $(PERL_INCL)
!ifndef PERLDL
perllib    : $(PERL_LIB)
!endif
!endif
!ifdef ZLIB
!ifdef ZLIB_BASE
zlibincl   : $(ZLIB_BASE)
!endif
!ifndef ZLIBDL
zliblib    : $(ZLIB_LIB)
!endif
!endif
!ifdef BZLIB2
!ifdef BZLIB2_BASE
bzlib2incl : $(BZLIB2_BASE)
!endif
!ifndef ZLIBDL
bzlib2lib  : $(BZLIB2_LIB)
!endif
!endif
-----------------------------------------------------------
<<

makedirs: $(MAKEDIRS)

$(MAKEDIRS):
	@echo Making directory $@...
	@mkdir $@

"$(OUTDIR)\$(BINKDEXE)": $(OBJS) $(RESOBJS)
	@echo Linking $(BINKDEXE)...
	@$(LINK) $(LFLAGS) $(L_DIRS) @<<
$(LIBS) $(OBJS) $(RESOBJS) $(PERLDLL)
<<

!ifdef DEBUG
$(BINKDBSC): $(SBRS)
	@echo Compiling $@...
	@$(BSC) $(BSCFLAGS) /o$(BINKDBSC) @<<
$(SBRS)
<<
!endif

.c{$(OBJDIR)}.obj::
	@echo Compiling:
	@$(CC) $(CFLAGS) $(CDEFS) $(C_DIRS) -Fo"$(OBJDIR)\\" -FR"$(OBJDIR)\\" @<<
$<
<<

{nt}.c{$(OBJDIR)\nt}.obj::
	@echo Compiling (nt/*):
	@$(CC) $(CFLAGS) $(CDEFS) $(C_DIRS) -Fo"$(OBJDIR)\nt\\" -FR"$(OBJDIR)\\nt\\" @<<
$<
<<

{ntlm}.c{$(OBJDIR)\ntlm}.obj::
	@echo Compiling (ntlm/*):
	@$(CC) $(CFLAGS) $(CDEFS) $(C_DIRS) -Fo"$(OBJDIR)\ntlm\\" -FR"$(OBJDIR)\\ntlm\\" @<<
$<
<<

.c{$(OBJDIR)}.sbr::
	@echo Compiling .sbr/.obj:
	@$(CC) $(CFLAGS) $(CDEFS) $(C_DIRS) -Fo"$(OBJDIR)\\" -FR"$(OBJDIR)\\" @<<
$<
<<

{nt}.c{$(OBJDIR)\nt}.sbr::
	@echo Compiling .sbr/.obj (nt/*):
	@$(CC) $(CFLAGS) $(CDEFS) $(C_DIRS) -Fo"$(OBJDIR)\nt\\" -FR"$(OBJDIR)\\nt\\" @<<
$<
<<

{ntlm}.c{$(OBJDIR)\ntlm}.sbr::
	@echo Compiling .sbr/.obj (ntlm/*):
	@$(CC) $(CFLAGS) $(CDEFS) $(C_DIRS) -Fo"$(OBJDIR)\ntlm\\" -FR"$(OBJDIR)\\ntlm\\" @<<
$<
<<

{nt}.rc{$(OBJDIR)\nt}.res:
	@echo Compiling $<...
	@$(RSC) $(CDEFS) -D"BINKDNAME=$(BINKDNAME)" -D"BINKDEXE=$(BINKDEXE)" -D"_MSC_VER" /fo$@ "$<"

clean:
	-@$(DELTREE) "$(OBJDIR)"
	-@del "$(OUTDIR)\$(BINKDNAME).ilk"

distclean:
	-@$(DELTREE) "$(OUTDIR)"

!if exists("Makefile.dep")
!include "Makefile.dep"
!endif

=== mkfls/os2-wc/Makefile ===
# $Id: Makefile,v 2.20.2.1 2012/07/03 20:00:00 green Exp $
#
# Usage: wmake [DEBUG=1] [NOFORK=1] [ZLIB=1] [BZLIB2=1] [ZLIBDL=1] [BW_LIM=1]
#

.SILENT

.SUFFIXES:
.SUFFIXES: .res .rc .lst .obj .c .asm .hlp .itl .ipf .cpp

.c:  .;os2;ntlm

CC        = wcc386 -D_Optlink= -bt=os2 -bc
PP        = wpp386 -D_Optlink= -bt=os2 -bc

LFLAGS    = -zq -bm -k1024k -x -l=os2v2
CFLAGS    = -DOS2 -DHAVE_THREADS -DHAVE_IO_H -DHAVE_SYS_TIME_H      &
            -DHAVE_SYS_IOCTL_H -DHAVE_SNPRINTF -Dsnprintf=_bprintf  &
            -DHAVE_VSNPRINTF -Dvsnprintf=_vbprintf -DHAVE_DOS_H     &
            -DHAVE_STDARG_H -DIBMTCPIP -DVOID_SLEEP                 &
            -DHTTPS -DNTLM -DAMIGADOS_4D_OUTBOUND -DHAVE_RESOLV_H   &
	    -DHAVE_NETINET_IN_H -DHAVE_NETDB_H -w4 -bm -zq

!ifeq DEBUG 1
CFLAGS    += -d3 -hw
LFLAGS    += -d3 -hw -fm=binkd.map
!else
CFLAGS    += -oxs
!endif

!ifeq NOFORK 1
CFLAGS    += -DDEBUGCHILD
!endif

!ifeq ZLIB 1
CFLAGS    += -DWITH_ZLIB
COMPRESS  = 1
!ifeq ZLIBDL 1
!else
LIBS      += z.lib
!endif
!endif

!ifeq BZLIB2 1
CFLAGS    += -DWITH_BZLIB2
COMPRESS  = 1
!ifeq ZLIBDL 1
!else
LIBS      += bz2.lib
!endif
!endif

!ifeq COMPRESS 1
ZOBJS     = compress.obj
!ifeq ZLIBDL 1
ZOBJS     += zlibdl.obj
CFLAGS    += -DZLIBDL
!endif
!endif

!ifeq BW_LIM 1
CFLAGS    += -DBW_LIM
!endif

LINK      = wcl386
NTLM_OBJS = des_enc.obj   helpers.obj    ecb_enc.obj  md4_dgst.obj  &
            set_key.obj
OBJS      = binkd.obj     readcfg.obj    tools.obj    ftnaddr.obj   &
            ftnq.obj      client.obj     server.obj   protocol.obj  &
            bsy.obj       gettid.obj     tcperr.obj   inbound.obj   &
            sem.obj       breaksig.obj   branch.obj   ftndom.obj    &
            ftnnode.obj   getfree.obj    srif.obj     pmatch.obj    &
            readflo.obj   prothlp.obj    iptools.obj  run.obj       &
            binlog.obj    exitproc.obj   getw.obj     xalloc.obj    &
            setpttl.obj   dirent.obj     md5b.obj     crypt.obj     &
            getopt.obj    https.obj      rfc2553.obj  srv_gai.obj   &
            ns_parse.obj                                            &
            $(NTLM_OBJS) $(ZOBJS)

.c.obj: .autodepend
	-echo Compile  $<
	$(CC) $(CFLAGS) -fo=$@ $<

all: binkd2.exe .SYMBOLIC

before:	.SYMBOLIC
!ifeq DEBUG 1
	-echo Make binkd debug version from $(%cdrive):$(%cwd)
!else        
	-echo Make binkd release version from $(%cdrive):$(%cwd)
!endif

binkd2.exe: before $(OBJS)
	-echo Link     $@
	$(LINK) $(LFLAGS) -fe=$@ $(OBJS) $(LIBS)

clean:  .SYMBOLIC
	-del /n *.RES *.obj os2\*.obj *.o *.map *~ *.bak *.b *.ini &
	*.err core >nul 2> nul

=== debian/changelog ===
binkd (1.0.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #686869)
  * binkd.logrotate: use the correct log file. (Closes: #710776)
  * Stop checking inetd.conf in the init script. (Closes: #739707)
  * Added a systemd unit file.
  * Switched /var/log/binkd/ to mode 750.

 -- Marco d'Itri <md@linux.it>  Mon, 21 Jul 2014 03:18:57 +0200

=== debian/control ===
Source: binkd
Section: comm
Priority: extra
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5)
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/users/md/binkd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/md/binkd.git

Package: binkd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl, adduser
Description: FidoTech TCP/IP mailer
 Binkd is a FidoTech mailer designed for use over TCP/IP.
 .
 This program is NOT an internet mail transfer agent.
 If you don't know what it is, you don't need it.

## binkd 1.0.4

=== doc/Makefile ===
# $Id: Makefile,v 1.1 2003/10/12 12:10:26 stas Exp $
#
# makefile to build documentation

MAKEHTML    = makeinfo --html --no-split
MAKEHTMLDIR = makeinfo --html
MAKEPDF     = texi2dvi --pdf
MAKEINFO    = makeinfo --no-split
MAKETEXT    = makeinfo --no-headers
MAKEXML     = makeinfo --xml --no-split

default:
	@echo Run make html  to make plain html
	@echo Run make html-dir  to make each chapter in separated html file
	@echo Run make text  to make plain text
	@echo Run make pfd   to make PDF files, requires texi2dvi and pfdtex programs
	@echo Run make info  to make info files

html:
	$(MAKEHTML) howto-ru.texi
	$(MAKEHTML) howto-en.texi

html-dir:
	$(MAKEHTMLDIR) howto-ru.texi -o binkd-howto-ru
	$(MAKEHTMLDIR) howto-en.texi -o binkd-howto-en

pdf:
	$(MAKEPDF) howto-ru.texi
	$(MAKEPDF) howto-en.texi

info:
	$(MAKEINFO) howto-ru.texi
	$(MAKEINFO) howto-en.texi

text:
	$(MAKETEXT) howto-ru.texi > howto-ru.txt
	$(MAKETEXT) howto-en.texi > howto-en.txt

xml:
	$(MAKEXML) howto-ru.texi
	$(MAKEXML) howto-en.texi

=== mkfls/amiga/Makefile ===
# $Id: Makefile,v 2.5 2012/01/03 17:25:33 green Exp $
#
CC=gcc
DEFINES=-DHAVE_FORK -DAMIGA -DHAVE_SNPRINTF -DHAVE_GETOPT -DHAVE_UNISTD_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_IOCTL_H -DOS="\"Amiga\"" -DHAVE_WAITPID -DHTTPS -DAMIGADOS_4D_OUTBOUND
CFLAGS=$(DEFINES) -Wall -resident -O
SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c amiga/rename.c amiga/getfree.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c prothlp.c iptools.c rfc2553.c run.c binlog.c amiga/sem.c exitproc.c getw.c xalloc.c setpttl.c https.c md5b.c crypt.c
OBJS=binkd.o readcfg.o tools.o ftnaddr.o ftnq.o client.o server.o protocol.o bsy.o inbound.o breaksig.o branch.o rename.o       getfree.o       ftndom.o ftnnode.o srif.o pmatch.o readflo.o prothlp.o iptools.o rfc2553.o run.o binlog.o sem.o       exitproc.o getw.o xalloc.o setpttl.o https.o md5b.o crypt.o
all: binkd
.c.o:
	$(CC) -c $(CFLAGS) $*.c
binkd: $(OBJS)
	$(CC) $(CFLAGS) -o binkd $(OBJS)
install: all clean
clean:
	rm -f *.[bo] *.BAK *.core *.obj *.err *~ core
depend Makefile.dep:   Makefile
	  $(CC) -MM $(CFLAGS) $(SRCS) $(SYS) | \
	      awk '{ if ($$1 != prev) { if (rec != "") print rec; \
		  rec = $$0; prev = $$1; } \
		  else { if (length(rec $$2) > 78) { print rec; rec = $$0; } \
		  else rec = rec " " $$2 } } \
		  END { print rec }' | tee Makefile.dep
rename.o:
	$(CC) -c $(CFLAGS) amiga/rename.c
getfree.o:
	$(CC) -c $(CFLAGS) amiga/getfree.c
sem.o:
	$(CC) -c $(CFLAGS) amiga/sem.c
include Makefile.dep

=== mkfls/nt95-mingw/Makefile ===
# $Id: Makefile,v 2.48 2012/01/26 09:57:29 gul Exp $
#

# Usage: make [DEBUG=1] [BINKD9X=1] [PERL=1] [PERLDL=1]
#             [ZLIB=1] [BZLIB2=1] [ZLIBDL=1] [DEBUGCHILD=1]
#             [IPV6=1] [FSP1035=1] [BW_LIM=1]
#
#

#PERL_BASE=c:/Perl
#PERL_LIB=perl58

#ZLIB_BASE=../zlib
#ZLIB_LIB=z
#BZLIB2_BASE=../bzlib2
#BZLIB2_LIB=bz2

# =============================================================================

WINDRES?=windres

OUTDIR=bin/mingw32
BINKDTYPE=mingw32

CC?=gcc
CFLAGS+= -mno-cygwin -mthreads -pipe -funsigned-char \
         -Wall -Wno-char-subscripts -Wno-comment

CDEFS+=  -DHAVE_THREADS -DHAVE_UNISTD -DHAVE_INTTYPES_H -DHAVE_INTMAX_T \
         -DWIN32 -DHAVE_IO_H -DHAVE_DOS_H -DHAVE_STDARG_H               \
         -DHAVE_WAITPID -DHTTPS -DNTLM -DHAVE_SNPRINTF -DHAVE_VSNPRINTF \
         -DAMIGADOS_4D_OUTBOUND -DHASATTRIBUTE -DNONAMELESSUNION


SRCS= binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c \
      bsy.c inbound.c branch.c ftndom.c ftnnode.c srif.c pmatch.c readflo.c   \
      prothlp.c iptools.c rfc2553.c run.c binlog.c exitproc.c getw.c xalloc.c \
      setpttl.c https.c md5b.c crypt.c getopt.c nt/breaksig.c nt/getfree.c    \
      nt/sem.c nt/TCPErr.c nt/WSock.c nt/w32tools.c nt/tray.c snprintf.c      \
      ntlm/ecb_enc.c ntlm/md4_dgst.c ntlm/set_key.c ntlm/des_enc.c            \
      ntlm/helpers.c

RES=  nt/binkdres.rc

OBJDIR= $(OUTDIR)/obj
MAKEDIRSONLY= $(OBJDIR) $(OBJDIR)/nt $(OBJDIR)/ntlm
MAKEDIRS= $(OUTDIR) $(MAKEDIRSONLY)

# binkd9x +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ifdef BINKD9X
SRCS+= nt/win9x.c
CDEFS+= -DBINKD9X
LFLAGS+= -Wl,--subsystem,windows
BINKDNAME=binkd9x-mingw
OUTDIR:=$(OUTDIR)-binkd9x
BINKDTYPE:=$(BINKDTYPE), binkd9x
LIBS+=   -lwsock32
else
ifdef IPV6
CDEFS+= -DIPV6
LIBS+=   -lws2_32
SRCS+= nt/service.c
BINKDNAME=binkd-mingw-ipv6
OUTDIR:=$(OUTDIR)-binkd-ipv6
else
LIBS+=   -lwsock32
SRCS+= nt/service.c
BINKDNAME=binkd-mingw
OUTDIR:=$(OUTDIR)-binkd
endif
ifdef FSP1035
CDEFS+= -DWITH_FSP1035
LIBS+= -ldnsapi
SRCS+= srv_gai.c
endif
endif
# binkd9x ---------------------------------------------------------------------

# debug +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ifdef DEBUG
CFLAGS+= -g
CDEFS+= -DDEBUG -D_DEBUG
BINKDNAME:=$(BINKDNAME)-debug
OUTDIR:=$(OUTDIR)-debug
BINKDTYPE:=$(BINKDTYPE), debug
else
CFLAGS+= -s -O2
endif
# debug (DEBUG) ---------------------------------------------------------------

# debugchild, nofork ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ifdef DEBUGCHILD
CDEFS+= -DDEBUGCHILD
BINKDNAME:=$(BINKDNAME)-debugchild
OUTDIR:=$(OUTDIR)-debugchild
BINKDTYPE:=$(BINKDTYPE), debugchild
endif
# debugchild, nofork ----------------------------------------------------------

# bandwidth limiting ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ifdef BW_LIM
CDEFS+= -DBW_LIM=1
endif
# bandwidth limiting ----------------------------------------------------------

# perl support ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
# PERLDL implies PERL
ifdef PERLDL
ifndef PERL
PERL=1
endif
endif

ifdef PERL

ifndef PERL_BASE
PERL_BASE=${shell perl -mConfig -e 'print $$Config::Config{prefix};'}
endif

ifdef PERL_BASE
PERL_INCL=$(PERL_BASE)/lib/CORE
else
PERL_INCL=${shell perl -mConfig -e '$$_ = $$Config::Config{libpth}; s!^\"!!; s!\"$$!!; !s!\\!/!g; print;'}
endif

CDEFS+= -DWITH_PERL -DNDEBUG -DNO_STRICT -DHAVE_DES_FCRYPT -DPERL_IMPLICIT_CONTEXT -DPERL_IMPLICIT_SYS -DPERL_MSVCRT_READFIX
SRCS+= perlhooks.c
C_DIRS+= -idirafter "$(PERL_INCL)"

ifdef PERLDL
CDEFS+= -DPERLDL
CFLAGS+= -fno-strict-aliasing
BINKDNAME:=$(BINKDNAME)-perldl
OUTDIR:=$(OUTDIR)-perldl
BINKDTYPE:=$(BINKDTYPE), perldl
else

ifndef PERL_LIB
PERL_LIB=${shell perl -mConfig -e '($$_ = $$Config::Config{libperl}) =~ s!\.lib$$!!i; print;'}
endif

L_DIRS+= -L"$(PERL_INCL)"
LIBS+= -l$(PERL_LIB)
BINKDNAME:=$(BINKDNAME)-perl
OUTDIR:=$(OUTDIR)-perl
BINKDTYPE:=$(BINKDTYPE), perl
endif
endif
# perl support ----------------------------------------------------------------

# zlib support ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ifdef ZLIB
CDEFS+= -DWITH_ZLIB
ZLIB_BZLIB2=1

ifdef ZLIB_BASE
C_DIRS+= -I "$(ZLIB_BASE)/include"
L_DIRS+= -L "$(ZLIB_BASE)/lib"
endif

ifndef ZLIBDL
ifndef ZLIB_LIB
ZLIB_LIB=z
endif
LIBS+= -l"$(ZLIB_LIB)"
BINKDNAME:=$(BINKDNAME)-zlib
OUTDIR:=$(OUTDIR)-zlib
BINKDTYPE:=$(BINKDTYPE), zlib
else
BINKDNAME:=$(BINKDNAME)-zlibdl
OUTDIR:=$(OUTDIR)-zlibdl
BINKDTYPE:=$(BINKDTYPE), zlibdl
endif
endif
# zlib support ----------------------------------------------------------------

# bzlib2 support ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ifdef BZLIB2
CDEFS+= -DWITH_BZLIB2
ZLIB_BZLIB2=1

ifdef BZLIB2_BASE
C_DIRS+= -I "$(BZLIB2_BASE)/include"
L_DIRS+= -L "$(BZLIB2_BASE)/lib"
endif

ifndef ZLIBDL
ifndef BZLIB2_LIB
BZLIB2_LIB=bz2
endif
LIBS+= -l"$(BZLIB2_LIB)"
BINKDNAME:=$(BINKDNAME)-bzlib2
OUTDIR:=$(OUTDIR)-bzlib2
BINKDTYPE:=$(BINKDTYPE), bzlib2
else
BINKDNAME:=$(BINKDNAME)-bzlib2dl
OUTDIR:=$(OUTDIR)-bzlib2dl
BINKDTYPE:=$(BINKDTYPE), bzlib2dl
endif
endif
# bzlib2 support --------------------------------------------------------------

# zlib & bzlib2 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ifdef ZLIB_BZLIB2
ifdef ZLIBDL
CDEFS+= -DZLIBDL
SRCS+= zlibdl.c
endif
SRCS+= compress.c
endif
# zlib & bzlib2 ---------------------------------------------------------------

BINKDEXE = $(BINKDNAME).exe

OBJS=$(addprefix $(OBJDIR)/,$(patsubst %.c,%.o, $(SRCS)))
RESOBJS=$(addprefix $(OBJDIR)/, $(patsubst %.rc,%.o, $(RES)))

.PHONY: all printinfo install html clean distclean makedirs

all: printinfo makedirs $(OUTDIR)/$(BINKDEXE)

printinfo:
	@echo "-----------------------------------------------------------"
	@echo "binkd type : $(BINKDTYPE)"
	@echo "output dir : $(OUTDIR)"
	@echo "binkd exe  : $(BINKDEXE)"
ifdef PERL
	@echo "perlincl   : $(PERL_INCL)"
ifndef PERLDL
	@echo "perllib    : $(PERL_LIB)"
endif
endif
ifdef ZLIB
ifdef ZLIB_BASE
	@echo "zlibincl   : $(ZLIB_BASE)"
endif
ifndef ZLIBDL
	@echo "zliblib    : $(ZLIB_LIB)"
endif
endif
ifdef BZLIB2
ifdef BZLIB2_BASE
	@echo "bzlib2incl : $(BZLIB2_BASE)"
endif
ifndef ZLIBDL
	@echo "bzlib2lib  : $(BZLIB2_LIB)"
endif
endif
	@echo "-----------------------------------------------------------"

$(OBJDIR)/%.o: %.c
	@echo Compiling $<...
	@$(CC) -c -MMD $(CFLAGS) $(CDEFS) $(C_DIRS) -o $@ $<

$(OBJDIR)/%.o: %.rc
	@echo Compiling $<...
	@$(WINDRES) $(CDEFS) -D"BINKDNAME=$(BINKDNAME)" -D"BINKDEXE=$(BINKDEXE)" $< $@

$(OUTDIR)/$(BINKDEXE): $(OBJS) $(RESOBJS)
	@echo Linking $(BINKDEXE)...
	@$(CC) $(CFLAGS) $(LFLAGS) $(L_DIRS) -o $@ $(OBJS) $(RESOBJS) $(LIBS)

makedirs: $(MAKEDIRS)

$(MAKEDIRS):
	@echo Making directory $@...
	@mkdir -p $@

install: all clean

html: binkd.html

binkd.html: binkd.8
	groff -Thtml -mman binkd.8 >$(OUTDIR)/binkd.html

#
# Cleanup

CLEANEXT:= *.o *.d

clean:
	@echo Cleanup...
	-@rm -f $(foreach dir,$(MAKEDIRSONLY),$(foreach ext,$(CLEANEXT),$(dir)/$(ext)))

distclean:
	@echo Full cleanup...
	-@rm -rf $(OUTDIR)

#
# Dependencies (idea taken from zlib makefile)

DEPS:=$(foreach dir,$(MAKEDIRSONLY),$(wildcard $(dir)/*.d))

ifneq ($(DEPS),)
include $(DEPS)
endif

# Dependencies for resourses
$(RESOBJS): Config.h confopt.h

=== mkfls/nt95-msvc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Microsoft Visual C++ Makefile
-# $Id: Makefile,v 2.49.2.1 2012/07/12 07:08:57 gul Exp $
+# $Id: Makefile,v 2.49.2.3 2014/08/20 06:12:38 gul Exp $
 #
 # Usage: nmake [DEBUG=1] [STATIC=1] [BINKD9X=1] [PERL=1] [PERLDL=1]
 #              [ZLIB=1] [BZLIB2=1] [ZLIBDL=1] [DEBUGCHILD=1] [BW_LIM=1]
@@ -49,7 +49,8 @@
          -Fp"$(OBJDIR)\$(BINKDNAME).pch" -Fd"$(OBJDIR)\$(BINKDNAME)"
 CDEFS=   $(CDEFS) -DWIN32 -DHAVE_THREADS -DHAVE_IO_H -DHAVE_DOS_H \
          -DHAVE_STDARG_H -DVISUALCPP -DHTTPS -DAMIGADOS_4D_OUTBOUND -DNTLM \
-         -DHAVE_VSNPRINTF -D_CRT_SECURE_NO_WARNINGS
+         -DHAVE_VSNPRINTF -D_CRT_SECURE_NO_WARNINGS -D_CRT_NONSTDC_NO_DEPRECATE
+OUTDIR=$(OUTDIR)10
 !else
 CFLAGS=  $(CFLAGS) -nologo -M$(RTLTYPE) -W3 -GX -c -YX -J \
          -Fp"$(OBJDIR)\$(BINKDNAME).pch" -Fd"$(OBJDIR)\$(BINKDNAME)"
@@ -99,13 +100,13 @@
 !else
 !ifdef X64
 BINKDNAME=binkd64
-OUTDIR=$(OUTDIR)-x64
+OUTDIR=$(OUTDIR)x64
 !else
 BINKDNAME=binkd
 !endif
 !ifdef IPV6
 OUTDIR=$(OUTDIR)-binkd-ipv6
-CDEFS=$(CDEFS) -D_CONSOLE
+CDEFS=$(CDEFS) -D_CONSOLE -DIPV6
 SUBSYSTEM=console
 OBJS=$(OBJS) "$(OBJDIR)\nt\service.obj"
 LIBS=$(LIBS) ws2_32.lib

=== mkfls/os2-emx/Makefile ===
# $Id: Makefile,v 2.27.2.1 2014/08/20 06:12:39 gul Exp $
#
# Usage: make [DEBUG=1] [NOFORK=1] [PERL=1] [PERLDL=1]
#             [ZLIB=1] [BZLIB2=1] [ZLIBDL=1] [BW_LIM=1]
#
# Tested with perl 5.0053
#

CC=gcc
IMPLIB=emximp
DEFINES=-DHAVE_FORK -DHAVE_SNPRINTF -DHAVE_VSNPRINTF -DHAVE_GETOPT -DHAVE_UNISTD -DOS2=2 -DHAVE_IO_H -DHAVE_ARPA_INET_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_IOCTL_H -DHAVE_DOS_H -DHAVE_STDARG_H -DEMX -DEMXSIGNALS -DHAVE_WAITPID -DHAVE_GETTIMEOFDAY -DHTTPS -DNTLM -DAMIGADOS_4D_OUTBOUND -DHAVE_NETINET_IN_H -DHAVE_NETDB_H -DHAVE_RESOLV_H -DHAVE_ARPA_NAMESER_H -Du_int16_t=u_short -Du_int32_t=u_int
CFLAGS=$(DEFINES) -Wall -funsigned-char -Wno-char-subscripts
LFLAGS=-Los2
LIBS=-lsocket -lresolv
NTLM_SRC=ntlm/des_enc.c ntlm/helpers.c ntlm/ecb_enc.c ntlm/md4_dgst.c ntlm/set_key.c
SRCS=binkd.c readcfg.c tools.c ftnaddr.c ftnq.c client.c server.c protocol.c bsy.c inbound.c breaksig.c branch.c os2/gettid.c os2/sem.c  ftndom.c ftnnode.c os2/getfree.c srif.c pmatch.c readflo.c prothlp.c iptools.c rfc2553.c run.c binlog.c exitproc.c getw.c xalloc.c setpttl.c https.c md5b.c crypt.c srv_gai.c os2/ns_parse.c ${NTLM_SRC}
TARGET=binkd2e.exe

ifdef DEBUG
CFLAGS+=-g -DDEBUG
LFLAGS+=-g
else
CFLAGS+=-O2 -s
LFLAGS+=-O2 -s
endif

ifdef NOFORK
CFLAGS+=-DDEBUGCHILD
endif

ifdef PERLDL
PERLDIR=$(shell perl -MConfig -e "print $$Config{archlib}")
CFLAGS+= -Zmt -DWITH_PERL -DPERLDL -DDOSISH -DPERL_IS_AOUT -DEMBED -I$(PERLDIR)/CORE
LFLAGS+= -Zmt -Zcrtdll -Zstack 16000
SRCS+= perlhooks.c
else
ifdef PERL
PERLDIR=$(shell perl -MConfig -e "print $$Config{archlib}")
CFLAGS+= -DWITH_PERL -DDOSISH -DPERL_IS_AOUT -DEMBED -I$(PERLDIR)/CORE
LFLAGS+= -L$(PERLDIR)/CORE -Zsmall-conv -Zstack 16000
LIBS:=$(PERLDIR)/auto/DB_File/DB_File.a \
         $(PERLDIR)/auto/SDBM_File/SDBM_File.a \
         $(PERLDIR)/auto/Fcntl/Fcntl.a \
         $(PERLDIR)/auto/IO/IO.a \
         $(PERLDIR)/auto/POSIX/POSIX.a \
         $(PERLDIR)/auto/Socket/Socket.a \
         $(PERLDIR)/auto/OS2/Process/Process.a \
         $(PERLDIR)/auto/OS2/ExtAttr/ExtAttr.a \
         $(PERLDIR)/auto/OS2/REXX/REXX.a \
         $(PERLDIR)/auto/DynaLoader/DynaLoader.a \
         -llibperl -lm -lbsd -ldb $(LIBS)
SRCS+= perlhooks.c
else
CFLAGS+= -Zcrtdll
LFLAGS+= -Zcrtdll
endif
endif

ifdef ZLIB
COMPRESS=1
CFLAGS+= -DWITH_ZLIB=1
ifdef ZLIB_DIR
CFLAGS+= -I$(ZLIB_DIR)/include
endif
ifndef ZLIBDL
LIBS:=-lz_s $(LIBS)
ifdef ZLIB_DIR
LFLAGS+= -L$(ZLIB_DIR)/lib
endif
endif
endif

ifdef BZLIB2
COMPRESS=1
CFLAGS+= -DWITH_BZLIB2=1
ifdef BZLIB2_DIR
CFLAGS+= -I$(BZLIB2_DIR)/include
endif
ifndef ZLIBDL
LIBS:=-llibbz2_s $(LIBS)
ifdef BZLIB2_DIR
LFLAGS+= -L$(BZLIB2_DIR)/lib
endif
endif
endif

ifdef COMPRESS
SRCS+= compress.c
endif

ifdef ZLIBDL
SRCS+= zlibdl.c
CFLAGS+= -DZLIBDL=1
endif

ifdef BW_LIM
CFLAGS+= -DBW_LIM=1
endif

.SUFFIXES: .imp .a
OBJS=${SRCS:.c=.o}

all: $(TARGET)

.c.o:
	@echo Compiling $*.c...
	@$(CC) -c $(CFLAGS) -o $*.o $*.c

.imp.a:
	@echo Creating import library from $*.imp
	@$(IMPLIB) -o $*.a $*.imp

$(TARGET): $(OBJS) os2/resolv.a
	@echo Linking $@...
	@$(CC) -o $@ $(LFLAGS) $(OBJS) $(LIBS)

install: all clean

clean:
	-del /n *.RES *.obj *.o os2\*.o ntlm\*.o os2\*.a *.map *~ *.bak *.b *.ini *.err core >nul 2> nul

depend	Makefile.dep:
	@echo Build Makefile.dep...
	@gcc -MM $(CFLAGS) $(SRCS) > Makefile.dep

include Makefile.dep

=== mkfls/os2-wc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 2.20.2.1 2012/07/03 20:00:00 green Exp $
+# $Id: Makefile,v 2.20.2.2 2014/08/20 06:12:39 gul Exp $
 #
 # Usage: wmake [DEBUG=1] [NOFORK=1] [ZLIB=1] [BZLIB2=1] [ZLIBDL=1] [BW_LIM=1]
 #
@@ -19,7 +19,8 @@
             -DHAVE_VSNPRINTF -Dvsnprintf=_vbprintf -DHAVE_DOS_H     &
             -DHAVE_STDARG_H -DIBMTCPIP -DVOID_SLEEP                 &
             -DHTTPS -DNTLM -DAMIGADOS_4D_OUTBOUND -DHAVE_RESOLV_H   &
-	    -DHAVE_NETINET_IN_H -DHAVE_NETDB_H -w4 -bm -zq
+            -DHAVE_NETINET_IN_H -DHAVE_NETDB_H                      &
+            -DHAVE_ARPA_NAMESER_H -w4 -bm -zq
 
 !ifeq DEBUG 1
 CFLAGS    += -d3 -hw

=== debian/changelog ===
binkd (1.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 14 Sep 2014 15:28:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5)
 Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/users/md/binkd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/md/binkd.git
+Vcs-Git: git://anonscm.debian.org/users/md/binkd.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/md/binkd.git
 
 Package: binkd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
-include /usr/share/dpkg/buildflags.mk

D := $(CURDIR)/debian/binkd

build:
	dh_testdir
	cp mkfls/unix/install-sh mkfls/unix/configure mkfls/unix/Makefile.* .
	chmod u+x configure
	dh_auto_configure -- --with-debug --with-https --with-ntlm --with-bwlim
	$(MAKE)
	touch $@

clean:
	dh_testdir
	[ ! -e Makefile ] || $(MAKE) clean
	-rm -f install-sh configure Makefile.in \
		Makefile Makefile.dep configure.in config.log binkd build
	dh_clean

binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep

	dh_installdirs
	dh_installdocs todo.lst
	dh_installexamples
	dh_installchangelogs \!README.FIX
	dh_installman *.8

	cp binkd.cfg binkd.inc $D/etc/binkd/
	dh_systemd_enable
	dh_installinit --restart-after-upgrade
	dh_systemd_start --restart-after-upgrade

	dh_installlogrotate
	install binkd $D/usr/sbin/
	install --mode 755 debian/binkdlogstat $D/usr/sbin/

	dh_strip
	dh_compress
	dh_fixperms
	chown -R 64000:adm $D/var/log/binkd/
	chmod 750 $D/var/log/binkd/
	chown -R 64000:64000 $D/var/spool/ftn/ $D/etc/binkd/binkd.inc
	chmod 600 $D/etc/binkd/binkd.inc
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary:	binary-arch

build-arch: build
build-indep: build

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --rename --force-download --watchfile debian/watch --destdir $(CURDIR)

.PHONY: binary binary-arch binary-indep build-arch build-indep clean get-orig-source

=== debian/watch ===
version=3
ftp://happy.kiev.ua/pub/fidosoft/mailer/binkd/binkd-([\d+\.]+)\.tar\.gz

## binkd 1.0.5~pre5

=== debian/changelog ===
binkd (1.0.5~pre5-1) unstable; urgency=medium

  * New upstream pre-release.
  * Enabled Perl support.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Dec 2016 14:32:37 +0100

=== debian/control ===
Source: binkd
Section: comm
Priority: extra
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>= 9.20160709), zlib1g-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/users/md/binkd.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/md/binkd.git

Package: binkd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl, adduser, lsb-base
Description: FidoTech TCP/IP mailer
 Binkd is a FidoTech mailer designed for use over TCP/IP.
 .
 This program is NOT an internet mail transfer agent.
 If you don't know what it is, you don't need it.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh_testdir
 	cp mkfls/unix/install-sh mkfls/unix/configure mkfls/unix/Makefile.* .
 	chmod u+x configure
-	dh_auto_configure -- --with-debug --with-https --with-ntlm --with-bwlim
+	dh_auto_configure -- --with-debug --with-https --with-ntlm --with-bwlim --with-perl
 	$(MAKE)
 	touch $@
